/**
 * Styles of blocks in CERN Theme
 *
 * Includes styles of custom blocks / menu blocks / view blocks
 */
@import 'variables.scss';

$box-shadow: 0 0 2px 1px lightgrey;
$block-view-padding: 15px 25px;
$block-margin-bottom: 30px;


// under sidebar regions and sidebars of landing page sections
.region-left, .region-right, .component-row__sidebar-right, .component-row__sidebar-left{

  &>section{

    margin-bottom: $block-margin-bottom;

    &:first-child{
      margin-top: $block-margin-bottom;
    }

    // add box shadow if block does not have class "without-shadow" (by default it does not)
    &:not(.without-shadow){
      box-shadow: $box-shadow;
      padding: $block-view-padding;
      margin-bottom: $block-margin-bottom;

      &:first-child{
        margin-top: $block-margin-bottom;
      }
    }

    //custom blocks
    &>div.field{
      margin-bottom: 20px;

      ul{
        margin: unset;
      }
    }

    // View Blocks
    &>div.form-group{
      .view {

        &>h1{
          display: none;
        }

        &:not(.vertical-boxes) {
          .view-content {
            margin-bottom: 20px;
            padding: 0;

            .views-row {
              padding: unset;

              .views-field {
                margin: 10px 0;
              }
            }
          }
        }

      }
    }
  }


  // menu blocks under sidebars
  &>nav{ // menu wrapper
    padding: 0;
    margin-bottom: $block-margin-bottom;

    .dropdown-menu{
      position: relative;
      z-index: 250;
    }

    // other menus
    &>ul.menu{
      padding: 25px;

      // first level menu
      &>li{
        margin: 0 0 10px;

        &>span{
          font-family: 'opensans-regular';
        }

        &>a, &>span{
          padding: unset;
          cursor: pointer;
          @include font-size(2.1);
          &:after{
            display: none;
          }
        }
        &>ul{
          // 2nd+ levels
          li{
            a, span{
              padding: 5px 0 8px 20px;
              cursor: pointer;
              // setting up arrow before links => in base it is only set for main menu
              &:before{
                -webkit-transition: color 0.6s ease-in-out 0s, left 0.6s ease-in-out 0s;
                -khtml-transition: color 0.6s ease-in-out 0s, left 0.6s ease-in-out 0s;
                -moz-transition: color 0.6s ease-in-out 0s, left 0.6s ease-in-out 0s;
                -ms-transition: color 0.6s ease-in-out 0s, left 0.6s ease-in-out 0s;
                -o-transition: color 0.6s ease-in-out 0s, left 0.6s ease-in-out 0s;
                transition: color 0.6s ease-in-out 0s, left 0.6s ease-in-out 0s;
                font-size: 36px;
                font-size: 3.6rem;
                content: '\j';
                float: left;
                font-family: 'cern-icons';
                display: block;
                top: -10px;
                left: -12px;
                position: absolute;
                transform: rotate(0deg);
              }

              &:hover{
                &:before{
                  left: -4px;
                }
              }
            }
          }

        }
      }


    }

    // only main menu
    nav.navbar{
      margin-bottom: $block-margin-bottom;
      padding: 0;

      &.navbar.main-menu{
        &>.container-fluid{

          // fixes issue of main menu when placed on sidebars
          &>.navbar-header{
            display: none;
          }

          // fixes issue of main menu when placed on sidebars
          &>.collapse{
            display: block;
          }
        }


      }

      &.main-menu{
        background-color: transparent;
        border-color: transparent;

        ul{

          &.navbar-nav{
            float: none;
            padding: 25px;
            // 1st level menu items
            >li{
              > a, > span{
                @include font-size(2.1);
                cursor: pointer;
                padding: unset;
                line-height: inherit;
                &:after{
                  display: none;
                }
              }
            }
          }

          &.dropdown-menu{
            display: contents;
          }

          .caret{
            display: none;
          }

          a, span{
            white-space: normal;
          }
        }

      }

      &>h2{
        margin-bottom: 30px;
      }

      &>ul{
        padding: $block-view-padding;

        &.dropdown-menu{
          padding: 0;
        }
      }

      ul:not(.contextual-links) {
        list-style: none;
        margin: 0;

        li {
          @include font-size(1.6);
          font-family: 'opensans-regular';
          margin: 0 0 10px;
          float: unset;
          a, span {
            display: inline-block;
            position: relative;
            padding: 5px 0 8px 20px;
            cursor: pointer;

            .caret{
              display: none;
            }

            &:hover,
            &:focus {
              text-decoration: none;
            }

            &:after {
              -webkit-transition: all 0.6s ease-in-out 0s;
              -khtml-transition: all 0.6s ease-in-out 0s;
              -moz-transition: all 0.6s ease-in-out 0s;
              -ms-transition: all 0.6s ease-in-out 0s;
              -o-transition: all 0.6s ease-in-out 0s;
              transition: all 0.6s ease-in-out 0s;
              background: transparent;
              border-bottom: 2px solid;
              content: '';
              display: block;
              height: 2px;
              width: 0%;
              position: absolute;
              left: 0;
              margin: 0 0 0 20px;
              max-width: calc(100% - 20px);
            }

            &:hover,
            &.is-active {
              background: none;
              &:before {
                left: -4px;
              }
              &:after {
                width: 100%;
              }
            }
          }
          ul {
            display: block;
            margin: 5px 0 0;
            li {
              @include font-size(1.6);
              font-family: 'sourcesans-light';
              margin: 0;
              padding: 5px 0px 5px 20px;
              display: table;
              a, span {
                display: inline-block;
                position: relative;
                cursor: pointer;
                font-family: 'opensans-regular';

                &:before {
                  @include transition(color 0.6s ease-in-out 0s, left 0.6s ease-in-out 0s);
                  @include font-size(3.6);
                  content: '\j';
                  float: left;
                  font-family: 'cern-icons';
                  display: block;
                  top: -10px;
                  left: -12px;
                  position: absolute;
                  transform: rotate(0deg);

                }
                &:after {
                  @include transition(all 0.6s ease-in-out 0s);
                  background: transparent;
                  border-bottom: 2px solid;
                  content: '';
                  display: block;
                  height: 2px;
                  width: 0%;
                  position: absolute;
                  bottom: 3px;
                  left: 0;
                  margin: 0 0 0 20px;
                  max-width: calc(100% - 20px);
                }
                &:hover,
                &.is-active {
                  background: none;
                  &:before {
                    left: -4px;
                  }
                  &:after {
                    width: 100%;
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}

.region-preheader{
  .block.block-block-content{
    max-width: unset;
    width: 100%;
    margin: unset;

    &.background-red{
      background-color: red;
    }

    &.background-green{
      background-color: green;
    }

    &.background-orange{
      background-color: orange;
    }

    &.background-yellow{
      background-color: yellow;

      div{
        color: black;
      }

    }

    .block-custom-wrapper{
      margin: unset;
    }
  }
}

footer{
  .field--name-field-visible-title{
    display: none;
  }
}